| 0.9.9 API documenation

Functions
GLM_GTX_optimum_pow
Experimental extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType | pow2 (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | pow3 (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | pow4 (genType const &x)

## Detailed Description

Include <glm/gtx/optimum_pow.hpp> to use the features of this extension.

Integer exponentiation of power functions.

## Function Documentation

## ◆ pow2()

GLM_FUNC_DECL genType glm::gtx::pow2 | ( | genType const & | x | ) |

Returns x raised to the power of 2.

See also
  GLM_GTX_optimum_pow

## ◆ pow3()

GLM_FUNC_DECL genType glm::gtx::pow3 | ( | genType const & | x | ) |

Returns x raised to the power of 3.

See also
  GLM_GTX_optimum_pow

## ◆ pow4()

GLM_FUNC_DECL genType glm::gtx::pow4 | ( | genType const & | x | ) |

Returns x raised to the power of 4.

See also
  GLM_GTX_optimum_pow